searchData={"items":[{"type":"module","title":"Caster","doc":"An Elixir wrapper for the PodcastIndex API.","ref":"Caster.html"},{"type":"function","title":"Caster.list_titles/1","doc":"Delegates to Caster.Search.list_titles/1","ref":"Caster.html#list_titles/1"},{"type":"function","title":"Caster.search/3","doc":"Delegates to Caster.Search.by_term/3","ref":"Caster.html#search/3"},{"type":"function","title":"Caster.search_by_person/3","doc":"Delegates to Caster.Search.by_person/3","ref":"Caster.html#search_by_person/3"},{"type":"function","title":"Caster.search_by_title/3","doc":"Delegates to Caster.Search.by_title/3","ref":"Caster.html#search_by_title/3"},{"type":"module","title":"Caster.Auth","doc":"Handles authentication for the PodcastIndex API.","ref":"Caster.Auth.html"},{"type":"function","title":"Caster.Auth.build_headers/2","doc":"Builds the required authentication headers for PodcastIndex API.","ref":"Caster.Auth.html#build_headers/2"},{"type":"function","title":"Parameters - Caster.Auth.build_headers/2","doc":"- api_key: Your PodcastIndex API key\n  - api_secret: Your PodcastIndex API secret","ref":"Caster.Auth.html#build_headers/2-parameters"},{"type":"function","title":"Returns - Caster.Auth.build_headers/2","doc":"List of tuples containing the required headers","ref":"Caster.Auth.html#build_headers/2-returns"},{"type":"module","title":"Caster.Search","doc":"Handles various search operations for the PodcastIndex API.","ref":"Caster.Search.html"},{"type":"function","title":"Caster.Search.by_person/3","doc":"Searches podcasts by person (host, guest, etc.).","ref":"Caster.Search.html#by_person/3"},{"type":"function","title":"Parameters - Caster.Search.by_person/3","doc":"- person: Name of person to search for\n  - api_key: Your PodcastIndex API key\n  - api_secret: Your PodcastIndex API secret","ref":"Caster.Search.html#by_person/3-parameters"},{"type":"function","title":"Examples - Caster.Search.by_person/3","doc":"iex> Caster.Search.by_person(\"Klaus Schwab\", api_key, api_secret)\n    {:ok, %{feeds: [%PodcastFeed{}], count: 1}}","ref":"Caster.Search.html#by_person/3-examples"},{"type":"function","title":"Caster.Search.by_term/3","doc":"Searches podcasts by general term.","ref":"Caster.Search.html#by_term/3"},{"type":"function","title":"Parameters - Caster.Search.by_term/3","doc":"- query: String to search for\n  - api_key: Your PodcastIndex API key\n  - api_secret: Your PodcastIndex API secret","ref":"Caster.Search.html#by_term/3-parameters"},{"type":"function","title":"Examples - Caster.Search.by_term/3","doc":"iex> Caster.Search.by_term(\"elixir\", api_key, api_secret)\n    {:ok, %{feeds: [%PodcastFeed{}], count: 1}}","ref":"Caster.Search.html#by_term/3-examples"},{"type":"function","title":"Caster.Search.by_title/3","doc":"Searches podcasts by exact title.","ref":"Caster.Search.html#by_title/3"},{"type":"function","title":"Parameters - Caster.Search.by_title/3","doc":"- title: Podcast title to search for\n  - api_key: Your PodcastIndex API key\n  - api_secret: Your PodcastIndex API secret","ref":"Caster.Search.html#by_title/3-parameters"},{"type":"function","title":"Examples - Caster.Search.by_title/3","doc":"iex> Caster.Search.by_title(\"Everything Everywhere Daily\", api_key, api_secret)\n    {:ok, %{feeds: [%PodcastFeed{}], count: 1}}","ref":"Caster.Search.html#by_title/3-examples"},{"type":"function","title":"Caster.Search.delete/3","doc":"Issues a DELETE request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Caster.Search.html#delete/3"},{"type":"function","title":"Caster.Search.delete!/3","doc":"Issues a DELETE request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Caster.Search.html#delete!/3"},{"type":"function","title":"Caster.Search.get/3","doc":"Issues a GET request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Caster.Search.html#get/3"},{"type":"function","title":"Caster.Search.get!/3","doc":"Issues a GET request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Caster.Search.html#get!/3"},{"type":"function","title":"Caster.Search.head/3","doc":"Issues a HEAD request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Caster.Search.html#head/3"},{"type":"function","title":"Caster.Search.head!/3","doc":"Issues a HEAD request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Caster.Search.html#head!/3"},{"type":"function","title":"Caster.Search.list_titles/1","doc":"Gets a simple list of podcast titles from search results.","ref":"Caster.Search.html#list_titles/1"},{"type":"function","title":"Examples - Caster.Search.list_titles/1","doc":"iex> {:ok, results} = Caster.Search.by_term(\"elixir\", key, secret)\n    iex> Caster.Search.list_titles(results)\n    [\"Elixir Talk\", \"Thinking Elixir\"]","ref":"Caster.Search.html#list_titles/1-examples"},{"type":"function","title":"Caster.Search.options/3","doc":"Issues an OPTIONS request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Caster.Search.html#options/3"},{"type":"function","title":"Caster.Search.options!/3","doc":"Issues a OPTIONS request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Caster.Search.html#options!/3"},{"type":"function","title":"Caster.Search.parse_feed/1","doc":"Parses a single feed entry into a more structured format.","ref":"Caster.Search.html#parse_feed/1"},{"type":"function","title":"Caster.Search.parse_search_response/1","doc":"Parses a raw search response into a more usable format.","ref":"Caster.Search.html#parse_search_response/1"},{"type":"function","title":"Caster.Search.patch/4","doc":"Issues a PATCH request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Caster.Search.html#patch/4"},{"type":"function","title":"Caster.Search.patch!/4","doc":"Issues a PATCH request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Caster.Search.html#patch!/4"},{"type":"function","title":"Caster.Search.post/4","doc":"Issues a POST request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Caster.Search.html#post/4"},{"type":"function","title":"Caster.Search.post!/4","doc":"Issues a POST request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Caster.Search.html#post!/4"},{"type":"function","title":"Caster.Search.process_headers/1","doc":"","ref":"Caster.Search.html#process_headers/1"},{"type":"function","title":"Caster.Search.process_request_body/1","doc":"","ref":"Caster.Search.html#process_request_body/1"},{"type":"function","title":"Caster.Search.process_request_headers/1","doc":"","ref":"Caster.Search.html#process_request_headers/1"},{"type":"function","title":"Caster.Search.process_request_options/1","doc":"","ref":"Caster.Search.html#process_request_options/1"},{"type":"function","title":"Caster.Search.process_request_params/1","doc":"","ref":"Caster.Search.html#process_request_params/1"},{"type":"function","title":"Caster.Search.process_request_url/1","doc":"","ref":"Caster.Search.html#process_request_url/1"},{"type":"function","title":"Caster.Search.process_response/1","doc":"","ref":"Caster.Search.html#process_response/1"},{"type":"function","title":"Caster.Search.process_response_body/1","doc":"","ref":"Caster.Search.html#process_response_body/1"},{"type":"function","title":"Caster.Search.process_response_chunk/1","doc":"","ref":"Caster.Search.html#process_response_chunk/1"},{"type":"function","title":"Caster.Search.process_response_headers/1","doc":"","ref":"Caster.Search.html#process_response_headers/1"},{"type":"function","title":"Caster.Search.process_response_status_code/1","doc":"","ref":"Caster.Search.html#process_response_status_code/1"},{"type":"function","title":"Caster.Search.process_status_code/1","doc":"","ref":"Caster.Search.html#process_status_code/1"},{"type":"function","title":"Caster.Search.process_url/1","doc":"","ref":"Caster.Search.html#process_url/1"},{"type":"function","title":"Caster.Search.put/4","doc":"Issues a PUT request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"Caster.Search.html#put/4"},{"type":"function","title":"Caster.Search.put!/4","doc":"Issues a PUT request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"Caster.Search.html#put!/4"},{"type":"function","title":"Caster.Search.request/1","doc":"Issues an HTTP request using an `HTTPoison.Request` struct.\n\nThis function returns `{:ok, response}`, `{:ok, async_response}`, or `{:ok, maybe_redirect}`\nif the request is successful, `{:error, reason}` otherwise.","ref":"Caster.Search.html#request/1"},{"type":"function","title":"Redirect handling - Caster.Search.request/1","doc":"If the option `:follow_redirect` is given, HTTP redirects are automatically follow if\nthe method is set to `:get` or `:head` and the response's `status_code` is `301`, `302` or\n`307`.\n\nIf the method is set to `:post`, then the only `status_code` that get's automatically\nfollowed is `303`.\n\nIf any other method or `status_code` is returned, then this function returns a\nreturns a `{:ok, %HTTPoison.MaybeRedirect{}}` containing the `redirect_url` for you to\nre-request with the method set to `:get`.","ref":"Caster.Search.html#request/1-redirect-handling"},{"type":"function","title":"Examples - Caster.Search.request/1","doc":"request = %HTTPoison.Request{\n      method: :post,\n      url: \"https://my.website.com\",\n      body: \"{\\\"foo\\\": 3}\",\n      headers: [{\"Accept\", \"application/json\"}]\n    }\n\n    request(request)","ref":"Caster.Search.html#request/1-examples"},{"type":"function","title":"Caster.Search.request/5","doc":"Issues an HTTP request with the given method to the given url.\n\nThis function is usually used indirectly by `get/3`, `post/4`, `put/4`, etc\n\nArgs:\n  * `method` - HTTP method as an atom (`:get`, `:head`, `:post`, `:put`,\n    `:delete`, etc.)\n  * `url` - target url as a binary string or char list\n  * `body` - request body. See more below\n  * `headers` - HTTP headers as an orddict (e.g., `[{\"Accept\", \"application/json\"}]`)\n  * `options` - Keyword list of options\n\nBody: see type `HTTPoison.Request`\n\nOptions: see type `HTTPoison.Request`\n\nThis function returns `{:ok, response}`, `{:ok, async_response}`, or `{:ok, maybe_redirect}`\nif the request is successful, `{:error, reason}` otherwise.","ref":"Caster.Search.html#request/5"},{"type":"function","title":"Redirect handling - Caster.Search.request/5","doc":"If the option `:follow_redirect` is given, HTTP redirects are automatically follow if\nthe method is set to `:get` or `:head` and the response's `status_code` is `301`, `302` or\n`307`.\n\nIf the method is set to `:post`, then the only `status_code` that get's automatically\nfollowed is `303`.\n\nIf any other method or `status_code` is returned, then this function returns a\nreturns a `{:ok, %HTTPoison.MaybeRedirect{}}` containing the `redirect_url` for you to\nre-request with the method set to `:get`.","ref":"Caster.Search.html#request/5-redirect-handling"},{"type":"function","title":"Examples - Caster.Search.request/5","doc":"request(:post, \"https://my.website.com\", \"{\\\"foo\\\": 3}\", [{\"Accept\", \"application/json\"}])","ref":"Caster.Search.html#request/5-examples"},{"type":"function","title":"Caster.Search.request!/1","doc":"Issues an HTTP request an `HTTPoison.Request` struct.\nexception in case of failure.\n\n`request!/1` works exactly like `request/1` but it returns just the\nresponse in case of a successful request, raising an exception in case the\nrequest fails.","ref":"Caster.Search.html#request!/1"},{"type":"function","title":"Caster.Search.request!/5","doc":"Issues an HTTP request with the given method to the given url, raising an\nexception in case of failure.\n\n`request!/5` works exactly like `request/5` but it returns just the\nresponse in case of a successful request, raising an exception in case the\nrequest fails.","ref":"Caster.Search.html#request!/5"},{"type":"function","title":"Caster.Search.start/0","doc":"Starts HTTPoison and its dependencies.","ref":"Caster.Search.html#start/0"},{"type":"function","title":"Caster.Search.stream_next/1","doc":"Requests the next message to be streamed for a given `HTTPoison.AsyncResponse`.\n\nSee `request!/5` for more detailed information.","ref":"Caster.Search.html#stream_next/1"},{"type":"type","title":"Caster.Search.body/0","doc":"","ref":"Caster.Search.html#t:body/0"},{"type":"type","title":"Caster.Search.headers/0","doc":"","ref":"Caster.Search.html#t:headers/0"},{"type":"type","title":"Caster.Search.method/0","doc":"","ref":"Caster.Search.html#t:method/0"},{"type":"type","title":"Caster.Search.options/0","doc":"","ref":"Caster.Search.html#t:options/0"},{"type":"type","title":"Caster.Search.params/0","doc":"","ref":"Caster.Search.html#t:params/0"},{"type":"type","title":"Caster.Search.request/0","doc":"","ref":"Caster.Search.html#t:request/0"},{"type":"type","title":"Caster.Search.url/0","doc":"","ref":"Caster.Search.html#t:url/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}